#include "printlib.h"

int main(){
    int x;
    
    if (true) {
        x = 42;
    } else {
        x = true;
    }
    
    return 0;
}

// EXITCODE 2
// EXPECTED
// In function main: Line 9 col 8: type mismatch for x: integer and boolean
